Mailing List Archive

[xen-unstable] prompt user to start xencommons first if it is not running.
# HG changeset patch
# User Ian Jackson <Ian.Jackson@eu.citrix.com>
# Date 1277308895 -3600
# Node ID c973b5b8d17edf4d60057886fb47192a16175608
# Parent e1d6f390b76b5458fe691401504195f895bba064
prompt user to start xencommons first if it is not running.

Signed-off-by: Yu Zhiguo <yuzg@cn.fujitsu.com>
---
tools/hotplug/Linux/init.d/xend | 4 ++++
1 files changed, 4 insertions(+)

diff -r e1d6f390b76b -r c973b5b8d17e tools/hotplug/Linux/init.d/xend
--- a/tools/hotplug/Linux/init.d/xend Tue Jun 22 16:37:53 2010 +0100
+++ b/tools/hotplug/Linux/init.d/xend Wed Jun 23 17:01:35 2010 +0100
@@ -37,6 +37,10 @@ function await_daemons_up

case "$1" in
start)
+ if [ -z "`ps -C xenconsoled -o pid=`" ]; then
+ echo "xencommons should be started first."
+ exit 1
+ fi
mkdir -p /var/lock/subsys
touch /var/lock/subsys/xend
xend start

_______________________________________________
Xen-changelog mailing list
Xen-changelog@lists.xensource.com
http://lists.xensource.com/xen-changelog